import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["children", "className", "id"];
import * as React from 'react';
import Link from '../text/Link';

var SkipLink = function SkipLink(_ref) {
  var children = _ref.children,
      className = _ref.className,
      id = _ref.id,
      rest = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Link, _extends({
    className: "sg-skip-link ".concat(className !== null && className !== void 0 ? className : ''),
    href: "#".concat(id)
  }, rest), children);
};

export default SkipLink;